Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 156741

Summary: kernel-smp-devel, unlike kernel-devel updates, does not install along side old versions
Product: [Fedora] Fedora Reporter: Tom Duffy <thomas.duffy.99>
Component: yumAssignee: Jeremy Katz <katzj>
Status: CLOSED DUPLICATE QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: rawhideCC: wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-05-10 12:33:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Tom Duffy 2005-05-03 19:45:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
The kernel-smp-devel rpm when installed with yum removes the old kernel-smp-devel rpm.  This is unlike the behaviour of kernel-smp, kernel, or kernel-devel which leave the old package still installed.

This can be a problem if you update the kernel-smp and have not rebooted, but need to build something against the old image currently running.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1282_FC4

How reproducible:
Always

Steps to Reproduce:
1. install FC4-test2
2. yum -y update
3. notice that the old kernel-smp-devel is not installed
  

Additional info:

Comment 1 Jeremy Katz 2005-05-10 12:33:20 UTC

*** This bug has been marked as a duplicate of 155988 ***